Bug 103564 - unable to mount ext3 snapshot
unable to mount ext3 snapshot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lvm (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-02 10:05 EDT by Josh Bovee
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-02 14:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bovee 2003-09-02 10:05:44 EDT
Description of problem:

When trying to mount a snapshot created of an ext3 volume the following error 
was generated:

mount: wrong fs type, bad option, bad superblock on /dev/vg00/lvol05, or too 
many mounted filesystems

EXT3-fs INFO: recovery required on readonly filesystem.
EXT3-fs: write access unavailable, cannot proceed.

Upon further investigation there is a vfs-lock patch that needs to be included 
to fix this problem.  I have verified that I can mount an ext2 filesystem 
snapshot without errors.


Version-Release number of selected component (if applicable):
lvm 1.0.3 

How reproducible:

This can be reproduced every time when creating a snapshot of an ext3 volume 
and trying to mount the snapshot for backup.

Steps to Reproduce:
1.  lvcreate -L500M -s -n snapshot /dev/vg00/lvol05
2.  mount /dev/vg00/snapshot /mnt/snap

(you will then see the error)
    
Actual results:

mount: wrong fs type, bad option, bad superblock on /dev/vg00/lvol05, or too 
many mounted filesystems

EXT3-fs INFO: recovery required on readonly filesystem.
EXT3-fs: write access unavailable, cannot proceed.

Expected results:

successful mount for backup

Additional info:

This functionality is required for backup of many products that we run on 
Linux.  This is a known problem that has been corrected in later versions of 
lvm.
Comment 1 Stephen Tweedie 2003-09-02 10:33:33 EDT
Fixed in kernel-2_4_21-1_1931_2_414.
Comment 2 Josh Bovee 2003-09-02 14:19:20 EDT
when will the kernel package be updated and available.  up2date gives me 
version 411
Comment 3 Tom "spot" Callaway 2003-09-02 14:57:32 EDT
I sent Josh the 414 kernel. Reclosing this bug.
Comment 4 Doug Sibley 2003-10-10 05:46:59 EDT
Can you give a link to this kernel? I can't find it anywhere on the RH site, in
RHN updates or anywhere.

Note You need to log in before you can comment on or make changes to this bug.